<script setup lang="ts">
  import {useStore} from '@/stores/guests'
  import { computed } from 'vue'
  import Router from "../router/index"
  
  const store = useStore()
  
  const greeting = computed(() => {
    const greeting = store.language.strings.greeting
    const name = Router.currentRoute.value.params["name"]
    
    return `${greeting} ${name}!!!`
  })
</script>

<template>
  <main>
    <a href="#" @click.prevent="$router.go(-1)"> &lt; Back</a>
    <div class="container">
      <span class="greeting">{{greeting}}</span>
    </div>
  </main>
</template>

<style scoped>
  .container {
    min-height: 100vh;
    width: 100%;
    display: flex;
    align-items: center;
    justify-items: center;
    text-align: center;
  }

  .greeting {
    flex-basis: 100%;
    font-size: 2em;
  }
</style>
